@import url(https://fonts.googleapis.com/css?family=Roboto);
/* Components */
.primary {
    --theme-rgb: var(--primary-rgb, 19, 139, 150);
    --ontheme-rgb: var(--onprimary-rgb, 255, 255, 255);
}

.secondary {
    --theme-rgb: var(--secondary-rgb, 102, 0, 238);
    --ontheme-rgb: var(--onsecondary-rgb, 255, 255, 255);
}

.error {
    --theme-rgb: var(--error-rgb, 238, 0, 0);
    --ontheme-rgb: var(--error-rgb, 255, 255, 255);
}

.warning {
    --theme-rgb: var(--warning-rgb, 238, 102, 0);
    --ontheme-rgb: var(--onwarning-rgb, 255, 255, 255);
}

.success {
    --theme-rgb: var(--success-rgb, 17, 136, 34);
    --ontheme-rgb: var(--onsuccess-rgb, 255, 255, 255);
}

/* Text */
.primary-text {
    color: RGB(var(--primary-rgb, 19, 193,150));
}

.secondary-text {
    color: rgb(var(--secondary-rgb, 102, 0, 238));
}

.error-text {
    color: rgb(var(--error-rgb, 238, 0, 0));
}

.warning-text {
    color: rgb(var(--warning-rgb, 238, 102, 0));
}

.success-text {
    color: rgb(var(--success-rgb, 17, 136, 34));
}
/* Textfield outlined */
.textfield-outlined {
    --helper-theme: RGB(var(--theme-rgb, var(--primary-rgb, 19, 193,150)));
    --helper-safari1: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.38);
    --helper-safari2: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.6);
    --helper-safari3: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.87);
    position: relative;
    display: inline-block;
    padding-top: 7px;
    font-family: Roboto;
    font-size: 16px;
    line-height: normal;
}

/* Input, Textarea */
.textfield-outlined > input,
.textfield-outlined > textarea {
    box-sizing: border-box;
    margin: 0;
    border-style: solid;
    border-width: 1px;
    border-color: transparent var(--helper-safari2) var(--helper-safari2);
    border-radius: 4px;
    padding: 10px 13px 10px;
    width: 100%;
    height: inherit;
    color: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.87);
    -webkit-text-fill-color: currentColor; /* Safari */
    background-color: transparent;
    box-shadow: inset 1px 0 transparent, inset -1px 0 transparent, inset 0 -1px transparent;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    caret-color: var(--helper-theme);
    transition: border 0.2s, box-shadow 0.2s;
}

.textfield-outlined > input:not(:focus):placeholder-shown,
.textfield-outlined > textarea:not(:focus):placeholder-shown {
    border-top-color: var(--helper-safari2);
}

/* Span */
.textfield-outlined > input + span,
.textfield-outlined > textarea + span {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    max-height: 100%;
    color: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.6);
    font-size: 75%;
    line-height: 15px;
    cursor: text;
    transition: opacity 0.2s, color 0.2s, font-size 0.2s, line-height 0.2s;
}

.textfield-outlined > input:not(:focus):placeholder-shown + span,
.textfield-outlined > textarea:not(:focus):placeholder-shown + span {
    font-size: inherit;
    line-height: 58px;
    opacity: 0;
}

/* Corners */
.textfield-outlined > input + span::before,
.textfield-outlined > input + span::after,
.textfield-outlined > textarea + span::before,
.textfield-outlined > textarea + span::after {
    content: "";
    display: block;
    box-sizing: border-box;
    margin-top: 6px;
    border-top: solid 1px var(--helper-safari2);
    min-width: 10px;
    height: 8px;
    pointer-events: none;
    box-shadow: inset 0 1px transparent;
    transition: border 0.2s, box-shadow 0.2s;
}

.textfield-outlined > input + span::before,
.textfield-outlined > textarea + span::before {
    margin-right: 4px;
    border-left: solid 1px transparent;
    border-radius: 4px 0;
}

.textfield-outlined > input + span::after,
.textfield-outlined > textarea + span::after {
    flex-grow: 1;
    margin-left: 4px;
    border-right: solid 1px transparent;
    border-radius: 0 4px;
}

.textfield-outlined > input:not(:focus):placeholder-shown + span::before,
.textfield-outlined > textarea:not(:focus):placeholder-shown + span::before,
.textfield-outlined > input:not(:focus):placeholder-shown + span::after,
.textfield-outlined > textarea:not(:focus):placeholder-shown + span::after {
    border-top-color: transparent;
}

/* Hover */
.textfield-outlined:hover > input,
.textfield-outlined:hover > textarea {
    border-color: transparent var(--helper-safari3) var(--helper-safari3);
}

.textfield-outlined:hover > input + span::before,
.textfield-outlined:hover > textarea + span::before,
.textfield-outlined:hover > input + span::after,
.textfield-outlined:hover > textarea + span::after {
    border-top-color: var(--helper-safari3);
}

.textfield-outlined:hover > input:not(:focus):placeholder-shown,
.textfield-outlined:hover > textarea:not(:focus):placeholder-shown {
    border-color: var(--helper-safari3);
}

/* Focus */
.textfield-outlined > input:focus,
.textfield-outlined > textarea:focus {
    border-color: transparent var(--helper-theme) var(--helper-theme);
    box-shadow: inset 1px 0 var(--helper-theme), inset -1px 0 var(--helper-theme), inset 0 -1px var(--helper-theme);
    outline: none;
}

.textfield-outlined > input:focus + span,
.textfield-outlined > textarea:focus + span {
    color: var(--helper-theme);
}

.textfield-outlined > input:focus + span::before,
.textfield-outlined > input:focus + span::after,
.textfield-outlined > textarea:focus + span::before,
.textfield-outlined > textarea:focus + span::after {
    border-top-color: var(--helper-theme) !important;
    box-shadow: inset 0 1px var(--helper-theme);
}

/* Disabled */
.textfield-outlined > input:disabled,
.textfield-outlined > input:disabled + span,
.textfield-outlined > textarea:disabled,
.textfield-outlined > textarea:disabled + span {
    border-color: transparent var(--helper-safari1) var(--helper-safari1) !important;
    color: rgba(var(--onsurface-rgb, 0, 0, 0), 0.38);
    pointer-events: none;
}

.textfield-outlined > input:disabled + span::before,
.textfield-outlined > input:disabled + span::after,
.textfield-outlined > textarea:disabled + span::before,
.textfield-outlined > textarea:disabled + span::after {
    border-top-color: var(--helper-safari1) !important;
}

.textfield-outlined > input:disabled:placeholder-shown,
.textfield-outlined > input:disabled:placeholder-shown + span,
.textfield-outlined > textarea:disabled:placeholder-shown,
.textfield-outlined > textarea:disabled:placeholder-shown + span {
    border-top-color: var(--helper-safari1) !important;
}

.textfield-outlined > input:disabled:placeholder-shown + span::before,
.textfield-outlined > input:disabled:placeholder-shown + span::after,
.textfield-outlined > textarea:disabled:placeholder-shown + span::before,
.textfield-outlined > textarea:disabled:placeholder-shown + span::after {
    border-top-color: transparent !important;
}

/* Faster transition in Safari for less noticable fractional font-size issue */
@media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance:none) {
        .textfield-outlined > input,
        .textfield-outlined > input + span,
        .textfield-outlined > textarea,
        .textfield-outlined > textarea + span,
        .textfield-outlined > input + span::before,
        .textfield-outlined > input + span::after,
        .textfield-outlined > textarea + span::before,
        .textfield-outlined > textarea + span::after {
            transition-duration: 0.1s;
        }
    }
}
/* Button */
.button-contained {
    --helper-theme: var(--theme-rgb, var(--primary-rgb, 19, 193,150));
    --helper-ontheme: var(--ontheme-rgb, var(--onprimary-rgb, 255, 255, 255));
    position: relative;
    display: block;
    box-sizing: border-box;
    border: none;
    border-radius: 18px;
    padding: 0 16px;
    min-width: 64px;
    height: 36px;
    vertical-align: middle;
    text-align: center;
    text-overflow: ellipsis;
    color: RGB(var(--helper-ontheme));
    background-color: RGB(var(--helper-theme));
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
    font-family: var(--font-family, "Roboto", "Segoe UI", BlinkMacSystemFont, system-ui, -apple-system);
    font-size: 14px;
    font-weight: 500;
    line-height: 36px;
    outline: none;
    cursor: pointer;
    transition: box-shadow 0.2s;
    margin: 0 auto;
    margin-top: 24px;
}

.button-contained::-moz-focus-inner {
    border: none;
}

/* Highlight, Ripple */
.button-contained::before,
.button-contained::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;
    opacity: 0;
}

.button-contained::before {
    background-color: RGB(var(--helper-ontheme));
    transition: opacity 0.2s;
}

.button-contained::after {
    background: radial-gradient(circle at center, currentColor 1%, transparent 1%) center/10000% 10000% no-repeat;
    transition: opacity 1s, background-size 0.5s;
}

/* Hover, Focus */
.button-contained:hover,
.button-contained:focus {
    box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12);
}

.button-contained:hover::before {
    opacity: 0.08;
}

.button-contained:focus::before {
    opacity: 0.24;
}

.button-contained:hover:focus::before {
    opacity: 0.32;
}

/* Active */
.button-contained:active {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.button-contained:active::after {
    opacity: 0.32;
    background-size: 100% 100%;
    transition: background-size 0s;
}

/* Disabled */
.button-contained:disabled {
    color: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.38);
    background-color: RGBA(var(--onsurface-rgb, 0, 0, 0), 0.12);
    box-shadow: none;
    cursor: initial;
}

.button-contained:disabled::before,
.button-contained:disabled::after {
    opacity: 0;
}
body {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 90vh;
  background-color: #424242; }
  body * {
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box; }
  body .login {
    position: relative;
    border-radius: 4px;
    padding: 24px 40px;
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
    overflow: hidden;
    background-color: white; }
    body .login label {
      display: block;
      margin: 10px 0;
      width: 320px; }
    body .login__logo {
      display: block;
      min-width: 160px;
      margin: 0 auto;
      padding-bottom: 84px;
      padding-top: 24px; }
  body__button {
    display: block;
    margin: 5px auto; }


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/